# $Revision: 1.13 $, $Date: 2008-01-23 21:54:51 $
# TODO
# - discard /etc/ld.so.conf.d/openais-*.conf and use rpath instead
Summary:	The openais Standards-Based Cluster Framework executive and APIs
Summary(pl.UTF-8):	Środowisko klastra opartego na standardach openais
Name:		openais
Version:	0.80.3
Release:	1
License:	BSD
Group:		Base
Source0:	http://developer.osdl.org/dev/openais/downloads/%{name}-%{version}/openais-%{version}.tar.gz
# Source0-md5:	05ac1e10abd31f500641ff48ecf4238f
URL:		http://www.openais.org/
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	%{name}-libs = %{version}-%{release}
Provides:	group(ais)
Provides:	user(ais)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the openais executive, openais service handlers,
default configuration files and init script.

%description -l pl.UTF-8
Ten pakiet zawiera środowisko wykonawcze, programy obsługi usług
openais, domyślne pliki konfiguracyjne oraz skrypt startowy.

%package libs
Summary:	The openais Standards-Based Cluster Framework libraries
Summary(pl.UTF-8):	Biblioteki klastra opartego na standardach openais
Group:		Libraries
Conflicts:	openais < 0.80.2-0.2

%description libs
This package contains the openais libraries.

%description libs -l pl.UTF-8
Ten pakiet zawiera biblioteki openais.

%package devel
Summary:	The openais Standards-Based Cluster Framework development files
Summary(pl.UTF-8):	Pliki programistyczne klastra opartego na standardach openais
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
This package contains the include files used to develop using openais
APIs.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkow służące do programowania z użyciem
API openais.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LCRSODIR=%{_libdir}/lcrso

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	LCRSODIR=%{_libdir}/lcrso \
%if "%{_lib}" == lib64
	ARCH=64 \
%else
	ARCH=32 \
%endif
	STATICLIBS=NO

install -D init/redhat $RPM_BUILD_ROOT/etc/rc.d/init.d/openais
install test/openais-cfgtool $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 187 ais
%useradd -u 187 -d /usr/share/empty -s /bin/false -g ais -c "openais Standards Based Cluster Framework" -r ais

%post
/sbin/chkconfig --add openais
%service openais restart

%preun
if [ "$1" -eq "0" ]; then
	%service -q openais stop
	/sbin/chkconfig --del openais
fi

%postun
if [ "$1" = "0" ]; then
	%userremove ais
	%groupremove ais
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG LICENSE README.devmap README.amf SECURITY
%attr(755,root,root) %{_sbindir}/aisexec
%attr(755,root,root) %{_sbindir}/ais-keygen
%attr(755,root,root) %{_sbindir}/openais-cfgtool
%dir %{_sysconfdir}/ais
%verify(not md5 mtime size) %config(noreplace) %{_sysconfdir}/ais/openais.conf
%verify(not md5 mtime size) %config(noreplace) %{_sysconfdir}/ais/amf.conf
%attr(754,root,root) /etc/rc.d/init.d/openais
%attr(755,root,root) %{_libdir}/lcrso/*.lcrso
%{_mandir}/man8/*.8*
%{_mandir}/man5/openais.conf.5*

%files libs
%defattr(644,root,root,755)
%dir %{_libdir}/openais
%attr(755,root,root) %{_libdir}/openais/lib*.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/openais/lib*.so.?
%dir %{_libdir}/lcrso
/etc/ld.so.conf.d/openais-*.conf

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/openais/lib*.so
%{_includedir}/openais
%{_mandir}/man3/*.3*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openais.spec,v $
Revision 1.13  2008-01-23 21:54:51  tommat
- up to 0.80.3, 0.82 is on the DEVEL branch
- new URL
- there is no EA afaik builds also on sparcs

Revision 1.12  2007-12-19 02:22:00  zbyniu
- up to 0.82

Revision 1.11  2007-04-06 10:34:31  qboosh
- typo

Revision 1.10  2007/04/06 10:33:57  qboosh
- no macros in Conflicts for old package

Revision 1.9  2007/04/06 10:31:49  glen
- conflicts before split

Revision 1.8  2007/04/06 08:59:45  qboosh
- oops, -libs don't depend on base

Revision 1.7  2007/04/06 08:59:04  qboosh
- separated -libs, so -devel doesn't require user and service
- no need for config for ld.so.conf file

Revision 1.6  2007/04/05 20:29:03  qboosh
- ldconfig dep

Revision 1.5  2007/04/05 20:25:08  zbyniu
- users created should be also removed (thnx glen)

Revision 1.4  2007/04/05 15:05:16  qboosh
- pl

Revision 1.3  2007/04/05 09:25:02  zbyniu
- %service, %groupadd, %useradd, misc

Revision 1.2  2007/04/05 03:55:22  aredridel
- fix build on non-amd64 arch
- fix build on arch with ( and ) in processor name

Revision 1.1  2007/04/03 01:24:26  zbyniu
- initial, needs more work
